Tools should be able to specify contexts they can/can't operate in themselves
Closed, ResolvedPublic

Description

Right now we use things like:

toolbarSubset = ve.init.mw.ViewPageTarget.static.getToolbarSubset( [
Can't have nested references
'mwReference',
Lists not properly supported by PHP parser
'number', 'bullet', 'outdent', 'indent'
] );

in ve.ui.MWReferenceDialog and ve.ui.MWMediaDialog

Instead, whether a given tool makes sense in a reference or image context (or in a subeditor in general) should be defined in the tool itself.


Version: unspecified
Severity: enhancement

bzimport added a project: Technical-Debt.Via ConduitNov 22 2014, 2:08 AM
bzimport set Reference to bz49438.
Catrope created this task.Via LegacyJun 11 2013, 3:31 PM
Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 6:42 PM
Jdforrester-WMF changed the title from "VisualEditor: Tools should be able to specify contexts they can/can't operate in themselves" to "Tools should be able to specify contexts they can/can't operate in themselves".Via WebDec 1 2014, 9:17 PM
Jdforrester-WMF closed this task as "Resolved".
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set Security to None.

Add Comment